diff -Naur silc-client-0.9.12.1/Makefile.in silc-client-0.9.12.1-patched/Makefile.in
--- silc-client-0.9.12.1/Makefile.in	Tue Mar 18 09:40:51 2003
+++ silc-client-0.9.12.1-patched/Makefile.in	Wed Mar 26 15:55:22 2003
@@ -216,7 +216,7 @@
 libdir = @libdir@
 libexecdir = @libexecdir@
 localstatedir = @localstatedir@
-mansdir = $(DESTDIR)$(mandir)
+mansdir = $(DESTDIR)@mandir@
 oldincludedir = @oldincludedir@
 prefix = @prefix@
 program_transform_name = @program_transform_name@
@@ -700,9 +700,7 @@
 	-rm -rf $(distdir)
 
 install-dirs:
-	-mkdir -p $(etcdir)
 	-mkdir -p $(modulesdir)
-	-mkdir -p $(docdir)
 
 install-dirs-client: install-dirs
 	-mkdir -p $(helpdir)
diff -Naur silc-client-0.9.12.1/includes/Makefile.in silc-client-0.9.12.1-patched/includes/Makefile.in
--- silc-client-0.9.12.1/includes/Makefile.in	Mon Mar 17 17:39:14 2003
+++ silc-client-0.9.12.1-patched/includes/Makefile.in	Wed Mar 26 15:55:03 2003
@@ -380,7 +380,7 @@
 uninstall: uninstall-am
 
 install-am: all-am
-	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
+	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am
 
 installcheck: installcheck-am
 install-strip:
diff -Naur silc-client-0.9.12.1/irssi/Makefile.defines_int.in silc-client-0.9.12.1-patched/irssi/Makefile.defines_int.in
--- silc-client-0.9.12.1/irssi/Makefile.defines_int.in	Mon Mar 17 17:39:01 2003
+++ silc-client-0.9.12.1-patched/irssi/Makefile.defines_int.in	Wed Mar 26 15:55:03 2003
@@ -30,7 +30,7 @@
 #
 # Common libraries that are linked against the created executable
 #
-SILC_COMMON_LIBS= @LIBS@ -L$(silc_top_srcdir)/lib -lsilc
+SILC_COMMON_LIBS= @LIBS@ $(silc_top_srcdir)/lib/.libs/libsilc.a
 
 #
 # Common compilation flags
diff -Naur silc-client-0.9.12.1/irssi/Makefile.in silc-client-0.9.12.1-patched/irssi/Makefile.in
--- silc-client-0.9.12.1/irssi/Makefile.in	Mon Mar 17 17:39:47 2003
+++ silc-client-0.9.12.1-patched/irssi/Makefile.in	Wed Mar 26 15:55:03 2003
@@ -231,7 +231,7 @@
 confdir = $(silc_etcdir)
 conffile = silc.conf
 
-themedir = $(datadir)/silc/themes
+themedir = $(datadir)/silc-client/themes
 theme_DATA = default.theme
 
 noinst_HEADERS = irssi-version.h.in
diff -Naur silc-client-0.9.12.1/irssi/scripts/Makefile.in silc-client-0.9.12.1-patched/irssi/scripts/Makefile.in
--- silc-client-0.9.12.1/irssi/scripts/Makefile.in	Mon Mar 17 17:39:48 2003
+++ silc-client-0.9.12.1-patched/irssi/scripts/Makefile.in	Wed Mar 26 15:55:03 2003
@@ -163,7 +163,7 @@
 silc_MODULES = @silc_MODULES@
 sysconfdir = @sysconfdir@
 target_alias = @target_alias@
-scriptdir = $(datadir)/silc/scripts
+scriptdir = $(datadir)/silc-client/scripts
 
 script_DATA = \
 	autoop.pl \
diff -Naur silc-client-0.9.12.1/irssi/src/fe-text/Makefile.in silc-client-0.9.12.1-patched/irssi/src/fe-text/Makefile.in
--- silc-client-0.9.12.1/irssi/src/fe-text/Makefile.in	Mon Mar 17 17:39:50 2003
+++ silc-client-0.9.12.1-patched/irssi/src/fe-text/Makefile.in	Wed Mar 26 15:55:03 2003
@@ -224,7 +224,7 @@
 
 silc_LDADD = \
 	@COMMON_LIBS@ \
-	-L../../../lib -lsilcclient \
+	../../../lib/.libs/libsilcclient.a \
 	@PERL_LINK_LIBS@ \
 	@PERL_FE_LINK_LIBS@ \
 	@PERL_LINK_FLAGS@ \
diff -Naur silc-client-0.9.12.1/irssi/src/perl/Makefile.in silc-client-0.9.12.1-patched/irssi/src/perl/Makefile.in
--- silc-client-0.9.12.1/irssi/src/perl/Makefile.in	Mon Mar 17 17:39:51 2003
+++ silc-client-0.9.12.1-patched/irssi/src/perl/Makefile.in	Wed Mar 26 15:55:03 2003
@@ -694,7 +694,7 @@
 
 install-exec-local:
 	for dir in $(perl_dirs); do \
-	  cd $$dir && $(MAKE) install && cd ..; \
+	  cd $$dir && $(MAKE) pure_install && cd ..; \
 	done
 
 clean-generic:
diff -Naur silc-client-0.9.12.1/lib/Makefile.in silc-client-0.9.12.1-patched/lib/Makefile.in
--- silc-client-0.9.12.1/lib/Makefile.in	Mon Mar 17 17:39:14 2003
+++ silc-client-0.9.12.1-patched/lib/Makefile.in	Wed Mar 26 15:55:03 2003
@@ -443,7 +443,6 @@
 uninstall: uninstall-recursive
 
 install-am: all-am
-	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
 
 installcheck: installcheck-recursive
 install-strip:
diff -Naur silc-client-0.9.12.1/lib/contrib/Makefile.in silc-client-0.9.12.1-patched/lib/contrib/Makefile.in
--- silc-client-0.9.12.1/lib/contrib/Makefile.in	Mon Mar 17 17:39:15 2003
+++ silc-client-0.9.12.1-patched/lib/contrib/Makefile.in	Wed Mar 26 15:55:03 2003
@@ -466,7 +466,7 @@
 uninstall: uninstall-am
 
 install-am: all-am
-	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
+	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am
 
 installcheck: installcheck-am
 install-strip:
diff -Naur silc-client-0.9.12.1/lib/silcclient/Makefile.in silc-client-0.9.12.1-patched/lib/silcclient/Makefile.in
--- silc-client-0.9.12.1/lib/silcclient/Makefile.in	Mon Mar 17 17:39:15 2003
+++ silc-client-0.9.12.1-patched/lib/silcclient/Makefile.in	Wed Mar 26 15:55:03 2003
@@ -473,7 +473,7 @@
 uninstall: uninstall-am
 
 install-am: all-am
-	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
+	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am
 
 installcheck: installcheck-am
 install-strip:
diff -Naur silc-client-0.9.12.1/lib/silccore/Makefile.in silc-client-0.9.12.1-patched/lib/silccore/Makefile.in
--- silc-client-0.9.12.1/lib/silccore/Makefile.in	Mon Mar 17 17:39:16 2003
+++ silc-client-0.9.12.1-patched/lib/silccore/Makefile.in	Wed Mar 26 15:55:03 2003
@@ -475,7 +475,7 @@
 uninstall: uninstall-am
 
 install-am: all-am
-	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
+	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am
 
 installcheck: installcheck-am
 install-strip:
diff -Naur silc-client-0.9.12.1/lib/silccrypt/Makefile.in silc-client-0.9.12.1-patched/lib/silccrypt/Makefile.in
--- silc-client-0.9.12.1/lib/silccrypt/Makefile.in	Mon Mar 17 17:39:16 2003
+++ silc-client-0.9.12.1-patched/lib/silccrypt/Makefile.in	Wed Mar 26 15:55:03 2003
@@ -494,7 +494,7 @@
 uninstall: uninstall-am
 
 install-am: all-am
-	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
+	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am
 
 installcheck: installcheck-am
 install-strip:
diff -Naur silc-client-0.9.12.1/lib/silcmath/Makefile.in silc-client-0.9.12.1-patched/lib/silcmath/Makefile.in
--- silc-client-0.9.12.1/lib/silcmath/Makefile.in	Mon Mar 17 17:39:17 2003
+++ silc-client-0.9.12.1-patched/lib/silcmath/Makefile.in	Wed Mar 26 15:55:04 2003
@@ -557,7 +557,7 @@
 uninstall: uninstall-recursive
 
 install-am: all-am
-	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
+	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am
 
 installcheck: installcheck-recursive
 install-strip:
diff -Naur silc-client-0.9.12.1/lib/silcsftp/Makefile.in silc-client-0.9.12.1-patched/lib/silcsftp/Makefile.in
--- silc-client-0.9.12.1/lib/silcsftp/Makefile.in	Mon Mar 17 17:39:18 2003
+++ silc-client-0.9.12.1-patched/lib/silcsftp/Makefile.in	Wed Mar 26 15:55:04 2003
@@ -459,7 +459,7 @@
 uninstall: uninstall-am
 
 install-am: all-am
-	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
+	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am
 
 installcheck: installcheck-am
 install-strip:
diff -Naur silc-client-0.9.12.1/lib/silcsim/Makefile.in silc-client-0.9.12.1-patched/lib/silcsim/Makefile.in
--- silc-client-0.9.12.1/lib/silcsim/Makefile.in	Mon Mar 17 17:39:18 2003
+++ silc-client-0.9.12.1-patched/lib/silcsim/Makefile.in	Wed Mar 26 15:55:04 2003
@@ -481,7 +481,7 @@
 uninstall: uninstall-am
 
 install-am: all-am
-	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
+	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am
 
 installcheck: installcheck-am
 install-strip:
diff -Naur silc-client-0.9.12.1/lib/silcske/Makefile.in silc-client-0.9.12.1-patched/lib/silcske/Makefile.in
--- silc-client-0.9.12.1/lib/silcske/Makefile.in	Mon Mar 17 17:39:19 2003
+++ silc-client-0.9.12.1-patched/lib/silcske/Makefile.in	Wed Mar 26 15:55:04 2003
@@ -459,7 +459,7 @@
 uninstall: uninstall-am
 
 install-am: all-am
-	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
+	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am
 
 installcheck: installcheck-am
 install-strip:
diff -Naur silc-client-0.9.12.1/lib/silcutil/Makefile.in silc-client-0.9.12.1-patched/lib/silcutil/Makefile.in
--- silc-client-0.9.12.1/lib/silcutil/Makefile.in	Mon Mar 17 17:39:19 2003
+++ silc-client-0.9.12.1-patched/lib/silcutil/Makefile.in	Wed Mar 26 15:55:04 2003
@@ -587,7 +587,7 @@
 uninstall: uninstall-recursive
 
 install-am: all-am
-	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
+	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am
 
 installcheck: installcheck-recursive
 install-strip:
